DMTextInternal::TOC Struct Reference

Internal: structure to store a table of contents of a DMText. More...

## Public Member Functions

| TOC ()
| constructor More...
bool | empty () const
| returns true if the table is empty More...

## Public Attributes

std::vector< int > | m_cIdList
| the toc chapter id More...
std::vector< std::string > | m_textList
| the toc texts More...

## Detailed Description

Internal: structure to store a table of contents of a DMText.

## Constructor & Destructor Documentation

DMTextInternal::TOC::TOC | ( |  | ) |

inline

constructor

## Member Function Documentation

bool DMTextInternal::TOC::empty | ( |  | ) | const

inline

returns true if the table is empty

Referenced by DMText::sendTOC().

## Member Data Documentation

std::vector<int> DMTextInternal::TOC::m_cIdList

the toc chapter id

Referenced by DMText::sendTOC().

std::vector<std::string> DMTextInternal::TOC::m_textList

the toc texts

Referenced by empty(), and DMText::sendTOC().

The documentation for this struct was generated from the following file:

- DMText.cxx